#
# spec file for package python-apsw
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-apsw
Version:        3.9.2_r1
%define tarver  3.9.2-r1
Release:        2.4
Summary:        Another Python SQLite Wrapper
License:        Zlib
Group:          Development/Libraries/Python
Url:            https://github.com/rogerbinns/apsw/
Source:         https://files.pythonhosted.org/packages/source/a/apsw/apsw-%{tarver}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  sqlite3-devel

%python_subpackages

%description
APSW is a Python wrapper for the SQLite embedded relational database
engine. In contrast to other wrappers such as pysqlite it focuses on
being a minimal layer over SQLite attempting just to translate the
complete SQLite API into Python.

%prep
%setup -q -n apsw-%{tarver}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install

%check
export CFLAGS="%{optflags} -fno-strict-aliasing"
%{python_expand $python setup.py build_ext --inplace
$python setup.py test
$python setup.py clean
}

%files %{python_files}
%defattr(-,root,root)
%{python_sitearch}/apsw*.so
%{python_sitearch}/apsw-%{version}-py*.egg-info

%changelog
* Thu Aug 31 2017 toddrme2178@gmail.com
- Update to version 3.9.2-r1
  * No changelog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Tue Oct 15 2013 tchvatal@suse.com
- Downgrade to 3.7.17 so we build on 13.1 too.
* Tue Oct 15 2013 tomas.chvatal@gmail.com
- Fix file collision between doc and normal
* Mon Oct 14 2013 tchvatal@suse.com
- Version bump to 3.8.0.2-r1 to use latest sqlite queries.
- Drop the macroed commands in favor of normal ones
- Drop clean section
- Write fully what documents go where.
* Wed Oct  9 2013 hrvoje.senjan@gmail.com
- Drop unused tarballs, defines and checks for obsolete openSUSE versions
* Tue Sep  3 2013 jw@suse.com
- osc service localrun format_spec_file
  to add comments and such.
* Mon Dec 12 2011 pascal.bleser@opensuse.org
- build for all supported versions from a single spec
- link dynamically against the sqlite3 version that ships with each distro
  version, rather than using amalgamation: this is required by s3ql
* Mon Aug  9 2010 pascal.bleser@opensuse.org
- initial package (3.7.0.1-r1)
